import React from 'react';
import SyntaxHighlighter from 'react-syntax-highlighter';
import { github } from 'react-syntax-highlighter/dist/esm/styles/hljs';

const CodeBlock = (props) => (
    <SyntaxHighlighter language={props.language || "javascript"} style={github}>
        {props.children}
    </SyntaxHighlighter>
);

export default CodeBlock;